
QGIS Application - Feature request #13777

include Python pip in macosx installer

2015-11-06 04:46 AM - Richard Duivenvoorde

Status: Feedback

Priority: Normal

Assignee: William Kyngesburye

Category: Build/Install

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 21803

Description

After discussion in Hackfest Las Palmas about using pip for plugins itself OR plugin dependencies, the plan came up to make it easier for

windows/mac users to use pip by adding it in the QGIS installer

combined with maybe showing the dependencies in the plugin metadata, it is a first step to instruct users to install the dependencies via

pip.

in future it then is maybe possible to let QGIS/PluginManager all pip install on that dependencies

but first step would be to make pip available to the end user

History

#1 - 2015-11-06 04:51 AM - Richard Duivenvoorde

- Category changed from C++ Plugins to Build/Install

#2 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2018-09-05 07:01 PM - Denis Rouzaud

- Status changed from Open to Feedback

- Description updated

is this still up to date?

I think the discussion went away from pip, no?

#4 - 2018-09-05 07:04 PM - Marco Bernasocchi

Not really uptodate on the subject, but pip is available for win and linux IIRC.
